#
# spec file for package py-fishcrypt
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           py-fishcrypt
Version:        4.21
Release:        5.5
Summary:        FiSH/Mircryption-compatible encryption for XChat/HexChat
License:        BSD-3-Clause
Group:          Productivity/Networking/IRC
Url:            https://github.com/trubo00/py-fishcrypt
# Downloaded from https://github.com/trubo00/py-fishcrypt
# Packed as tar.bz2
Source0:        %{name}-%{version}+git-1772833.tar.bz2
Requires:       python
Requires:       python-pycrypto
Requires:       python-SocksiPy
BuildRequires:  dos2unix
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FiSH/Mircryption-compatible encryption for XChat/HexChat.

To make FiSH work with py-fishcrypt please do symlink as user

    su user

    For HexChat

    ln -sf %{_datadir}/%{name}/*.py ~/.config/hexchat/addons/


    For XChat

    ln -sf %{_datadir}/%{name}/*.py ~/.xchat2/

    exit

%prep
%setup -q -n %{name}

# Convert to unix line end
find . -name "*.py" -exec dos2unix "{}" "+"

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
install -Dm 0555 *.py %{buildroot}%{_datadir}/%{name}

%files
%defattr(-,root,root,-)
%doc README.md
%{_datadir}/%{name}

%changelog
* Fri Jun 19 2015 nemysis@gmx.ch
- Change license GPL-3.0 to BSD-3-Clause
* Mon Dec 29 2014 nemysis@gmx.ch
- Remove BuildRequires for unzip
* Mon Dec 29 2014 nemysis@gmx.ch
- Download from https://github.com/trubo00/py-fishcrypt and packed
  as tar.bz2
* Mon Dec 29 2014 nemysis@gmx.ch
- Add BuildRoot: %%{_tmppath}/%%{name}-%%{version}-build
* Wed Oct  8 2014 nemysis@gmx.ch
- Change Source0 to use Web URL
- Fix typo
* Mon Sep 22 2014 nemysis@gmx.ch
- Add BuildArch:noarch
* Sun Sep 14 2014 nemysis@gmx.ch
- Initial package creation
